var express = require('express');
var app = express();
var fs = require("fs")

app.get('/', function (req, res) {
  res.send('Hello World, changed');
  console.log(new Date())
  data = "content of file"
  fs.readFile('code.html', { flag: 'wx' }, function (err, data) {
    if (err) throw err;
    // in ra nội dung đọc được
    res.write(data);
    //kết thúc response
    res.end();
  });
})

var server = app.listen(8081, function () {

  var host = server.address().address
  var port = server.address().port

  console.log("Ung dung Node.js dang lang nghe tai dia chi: http://%s:%s", host, port)

})
// 